Bug 1387563 - [RFE]: md-cache performance enhancement
Summary: [RFE]: md-cache performance enhancement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: md-cache
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Michael Adam
QA Contact: surabhi
URL:
Whiteboard:
Depends On: 1284873
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-10-21 09:21 UTC by rjoseph
Modified: 2017-03-23 06:14 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.8.4-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 06:14:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description rjoseph 2016-10-21 09:21:16 UTC
Description of problem:

Currently md-cache invalidation timeout is 1 min which is very low. For improving performance we need to increase this timeout. But increasing the timeout can lead to stale cache issues. Therefore provide a way for cache invalidation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Atin Mukherjee 2016-10-22 13:50:27 UTC
Please refer to BZ 1284873 for the list of patches.

Comment 5 surabhi 2016-12-15 11:17:43 UTC
The 3.2 builds are received with md-cache changes and is qualified with core components.The documentation is in plac ein under review. the default value for cache invalidation is 1 min , and as per recommendation and doc , QE has tested it with 600 secs.

Since the functionality is present in current build od 3.2 closing this RFE. Any further bugs uncovered in testing will open a new Bugzilla for md-cache.

marking it Verified.glusterfs-3.8.4-8.el7rhgs.x86_64

Comment 7 errata-xmlrpc 2017-03-23 06:14:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.